// Controller.h
// By Jayson Adams, NeXT Developer Support Team
// You may freely copy, distribute and reuse the code in this example.
// NeXT disclaims any warranty of any kind, expressed or implied, as to its
// fitness for any particular use.

#import <objc/Object.h>

@interface Controller:Object
{
    id	scrollView, tileScrollView;
    id  matrix, psView;
    id  textField;
    id  stringTable;
    int	selectedCount;
    id  infoPanel;
}

/* delegation methods */
- appDidInit:sender;

/* instance methods */
- createScrollingMatrix;
- fillMatrix;
- setupTileView;
- nextItem:sender;
- previousItem:sender;
- (BOOL)multipleCellsSelected;
- (BOOL)incrementCount:sender;
- singleClick:sender;
- doubleClick:sender;
- displayInfoPanel:sender;

@end