// StubView.m
// By Jayson Adams, NeXT Developer Support Team
// You may freely copy, distribute and reuse the code in this example.
// NeXT disclaims any warranty of any kind, expressed or implied, as to its
// fitness for any particular use.

#import <dpsclient/psops.h>
#import <appkit/graphics.h>

#import "StubView.h"

@implementation StubView

- drawSelf:(const NXRect *)rects :(int)count
{
    NXRect	lineRect;
    
    PSsetgray(NX_WHITE);
    NXRectFill(&bounds);
    PSsetgray(NX_BLACK);
    
    NXSetRect(&lineRect, 0.0, 0.0, NX_WIDTH(&bounds), 1.0);
    NXFrameRect(&lineRect);
    
    return self;
}

@end
