// TileScrollView.h
// By Jayson Adams, NeXT Developer Support Team
// You may freely copy, distribute and reuse the code in this example.
// NeXT disclaims any warranty of any kind, expressed or implied, as to its
// fitness for any particular use.

#import <appkit/ScrollView.h>


@interface TileScrollView:ScrollView

{
     id		popupListButton, popupList, rulerView, rulerClipView, stubView;
     float	oldScaleFactor;
}

/* instance methods */
- initFrame:(const NXRect *)theFrame;
- free;
- changeScale:sender;
- tile;
- scrollClip:aClipView to:(NXPoint *)aPoint;
- setDocView:aView;
- (void)fixUpRuler;

@end
